package com.sheep.gamegroup.greendao.download;

import com.sheep.gamegroup.absBase.ISearchRecord;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Generated;

/**
 * Created by realicing on 2018/11/8.
 * realicing@sina.com
 * 搜索历史
 */
@Entity
public class SearchRecord implements ISearchRecord {
    /**
     * id,
     */
    @Id(autoincrement = true)
    private Long id;
    /**
     * 关键字
     */
    @Property(nameInDb = "input")
    private String input;
    /**
     * 第一次搜索时间
     */
    @Property(nameInDb = "first_time")
    private long first_time;
    /**
     * 最后一次搜索时间
     */
    @Property(nameInDb = "last_time")
    private long last_time;
    @Property(nameInDb = "count")//搜索次数
    private int count;
    public int getCount() {
        return this.count;
    }
    public void setCount(int count) {
        this.count = count;
    }
    public long getLast_time() {
        return this.last_time;
    }
    public void setLast_time(long last_time) {
        this.last_time = last_time;
    }
    public long getFirst_time() {
        return this.first_time;
    }
    public void setFirst_time(long first_time) {
        this.first_time = first_time;
    }
    public String getInput() {
        return this.input;
    }
    public void setInput(String input) {
        this.input = input;
    }
    public Long getId() {
        return this.id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    @Generated(hash = 2088438352)
    public SearchRecord(Long id, String input, long first_time, long last_time,
            int count) {
        this.id = id;
        this.input = input;
        this.first_time = first_time;
        this.last_time = last_time;
        this.count = count;
    }
    @Generated(hash = 839789598)
    public SearchRecord() {
    }
}
